Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.
member_identifier
string
required
Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.
account_identifier
string
required
Use either the account id you defined or the MX-defined account guid. See Assigning Resource IDs.
Query Parameters
page
integer
Results are paginated. Specify current page.
records_per_page
integer
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/json
OK
account_numbers
object[]
required
Hide child attributes
account_numbers.guid
string | null
required
Unique identifier for the account number. Defined by MX.
Example:
"ACN-8899832e-e5b4-42cd-aa25-bbf1dc889a8f"
account_numbers.ach
object | null
required
Hide child attributes
account_numbers.ach.account_number
string | null
required
The account number associated with the account. This will typically be a masked or partial account number.
Example:
"3331261"
account_numbers.ach.routing_number
string | null
required
The routing number for the account.
Example:
"68899990000000"
account_numbers.eft
object | null
required
Hide child attributes
account_numbers.eft.account_number
string | null
required
The account number associated with the account.
Example:
"3331261"
account_numbers.eft.institution_number
string | null
required
The three-digit number identifying a Canadian banking institution.
Example:
"123"
account_numbers.eft.transit_number
string | null
required
The five-digit number identifying the branch of a Canadian financial institution.
Example:
"12345"
account_numbers.details
object
required
Additional details about the account number.
Hide child attributes
account_numbers.details.loan_guarantor
string | null
required
The guarantor of the student loan.
Example:
"U.S. DEPARTMENT OF EDUCATION (123456)"
account_numbers.details.loan_reference_number
string | null
required
The reference number for the student loan.
Example:
"123456789012345"
account_numbers.details.passed_validation
boolean | null
required
Indicates whether the account number has passed validation.
Example:
true
account_numbers.account
object
The base fields for an account. Returned as the account companion on related resources such as transactions, statements, and rewards, and as the foundation of full account responses.
Hide child attributes
account_numbers.account.account_number_display
string | null
required
The account number associated with the account. This will typically be a masked or partial account number.
Example:
"3331261"
account_numbers.account.current_balance
number | null
required
The current balance of the account.
Example:
1000
account_numbers.account.subtype
string | null
required
The account's subtype, for example, PLAN_401_K, MONEY_MARKET, or HOME_EQUITY. Each subtype belongs to an account type. For a full list of account subtypes and types, see Accounts.
Example:
"CHECKING"
account_numbers.account.type
enum<string> | null
required
The type of account. Some account types may include subtypes. For a full list of account types and subtypes, see Account Types.
Available options:
ANY,
CASH,
CHECKING,
CHECKING_LINE_OF_CREDIT,
CREDIT_CARD,
DIGITAL_WALLET,
LOAN,
LINE_OF_CREDIT,
SAVINGS,
INVESTMENT,
MORTGAGE,
INSURANCE,
PREPAID,
PROPERTY,
null
Example:
"CHECKING"
account_numbers.account.guid
string | null
required
Unique identifier for the account. Defined by MX.
Example:
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
account_numbers.account.id
string | null
required
The unique partner-defined identifier for the account.
Additional information about the account, as a stringified JSON object.
Example:
"some metadata"
account_numbers.member
object
The base fields for a member, which is a user's connection to an institution. Returned as the member companion on related resources such as accounts and transactions, and as the foundation of full member responses.
Hide child attributes
account_numbers.member.guid
string
required
The unique identifier for the member. Defined by MX.
Example:
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
account_numbers.member.id
string | null
required
The unique partner-defined identifier for the member.
Example:
"unique_id"
account_numbers.member.metadata
string | null
required
Additional information you can store about the member.
The base fields for a user. Returned as the user companion on related resources such as members, accounts, and transactions, and as the foundation of full user responses.
Hide child attributes
account_numbers.user.guid
string
required
The unique identifier for the user. Defined by MX.
Example:
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
account_numbers.user.id
string | null
required
The unique partner-defined identifier for the user.
Example:
"unique_id"
account_numbers.user.metadata
string | null
required
Additional information you can store about the user.
Example:
"some metadata"
account_numbers.user.self
string
required
The API URI path for the user.
Example:
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
account_numbers.mx_record
object
Timestamps for when MX created and last updated the record. Returned as the mx_record companion on all resources persisted by MX. These describe the MX record, not the underlying resource at the institution.
Hide child attributes
account_numbers.mx_record.created_at
string | null
required
The date and time the resource was created in MX Platform, represented in ISO 8601 format with a timestamp.
Example:
"2025-05-10T18:08:00Z"
account_numbers.mx_record.updated_at
string | null
required
The date and time the resource was last updated in MX Platform, represented in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.